Control Input Connector
Try it
/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/{action}Start (resume) or pause the input connector.
The following values of the action argument are accepted: start and pause.
Input connectors can be in either the Running or Paused state. By default,
connectors are initialized in the Running state when a pipeline is deployed.
In this state, the connector actively fetches data from its configured data
source and forwards it to the pipeline. If needed, a connector can be created
in the Paused state by setting its
paused property
to true. When paused, the connector remains idle until reactivated using the
start command. Conversely, a connector in the Running state can be paused
at any time by issuing the pause command.
The current connector state can be retrieved via the
GET /v0/pipelines/\{pipeline_name\}/stats endpoint.
Note that only if both the pipeline and the connector state is Running,
is the input connector active.
Pipeline state Connector state Connector is active?
-------------- --------------- --------------------
Paused Paused No
Paused Running No
Running Paused No
Running Running YesAuthentication
JSON web token (JWT) or API keyBearer token
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipeline_name | string | Yes | Unique pipeline name |
table_name | string | Yes | SQL table name |
connector_name | string | Yes | Input connector name |
action | string | Yes |
Response
application/json- objectInformation returned by REST API endpoints on error.
detailsobjectrequiredDetailed error metadata. The contents of this field is determined by `error_code`.error_codestringrequiredError code is a string that specifies this error type.messagestringrequiredHuman-readable error message.
application/json- objectInformation returned by REST API endpoints on error.
detailsobjectrequiredDetailed error metadata. The contents of this field is determined by `error_code`.error_codestringrequiredError code is a string that specifies this error type.messagestringrequiredHuman-readable error message.
application/json- objectInformation returned by REST API endpoints on error.
detailsobjectrequiredDetailed error metadata. The contents of this field is determined by `error_code`.error_codestringrequiredError code is a string that specifies this error type.messagestringrequiredHuman-readable error message.
curl -X POST 'https://api.example.com/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/{action}' \
-H 'Authorization: Bearer YOUR_TOKEN'const response = await fetch('https://api.example.com/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/{action}', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = await response.json();
console.log(data);interface ApiResponse {
// shape your response here
}
const response: Response = await fetch('https://api.example.com/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/{action}', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = (await response.json()) as ApiResponse;
console.log(data);import requests
url = "https://api.example.com/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/{action}"
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.request("post", url, headers=headers)
print(response.json())package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.example.com/v0/pipelines/{pipeline_name}/tables/{table_name}/connectors/{connector_name}/{action}", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer YOUR_TOKEN")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(string(out))
}